# Creates a new gym leader spawner
# {0: {gym*: "gym_id", npc*: "npc_id", npc_data: NBT, condition: "condition", on_spawn: "command", on_delete: "command", name: "name"}}


# --- ARGUMENT HANDLING ---
$function cobblebuilds:args {args: $(0), default: {npc: "", gym: "", name: "Gym Leader Spawner"}}

# Error handling
execute if data storage cobblebuilds:data this.args{npc: ""} run return run function cobblebuilds:error/missing_argument {0: "npc"}
execute if data storage cobblebuilds:data this.args{gym: ""} run return run function cobblebuilds:error/missing_argument {0: "gym"}

# Forced arguments
data modify storage cobblebuilds:data this.args.type set value "gym_leader"
data modify storage cobblebuilds:data this.args.base.npc_data set value {Tags: [cobblebuilds-gym_leader]}
data modify storage cobblebuilds:data this.args.base.condition set value "if function cobblebuilds:condition/npc_spawner/gym_leader"


# Execute at center of block
execute align xyz positioned ~0.5 ~0.5 ~0.5 run function cobblebuilds:npc_spawner/create/aligned

# Print summary
tellraw @s {"text": "Created new gym leader spawner", "color": "yellow"}